#pragma once
#ifndef PC4399_SDK_H_
#define PC4399_SDK_H_

#ifdef PC4399SDK_EXPORTS
#define PC4399SDK_API __declspec(dllexport)
#else
#define PC4399SDK_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif 

//ʼ	
const int kMGInitSucceed = 1; //ʼɹ
const int kMGInitFailed = 0; //ʼʧ

//
const int kMGResultFailed = 90001;//֧ʧ
const int kMGResultSucceed = 90002;//֧ɹ
const int kMGResultErrorUnion = 90003;//unionidڻʧЧ
const int kMGResultErrorUser = 90004;//ûδ¼ѹ
const int kMGResultErrorNotTestUser = 90008;//ģʽ-ǲ˺
const int kMGResultOtherException = 90010;//δ֪쳣

/**
*
* ¼ص(վ汾)
@ param userInfo ¼ɹûϢʧ򷵻ؿ
*/
typedef void(*MGLoginCallback)(const char* userInfo);

/**
* ֧ص
* @param code ֧صcode 
*/
typedef void(*PayResultCallBack) (int code);
  
/**
*֧Ϣ
*/
typedef struct MGPayInfo { 
	const wchar_t* goodsName; //Ʒ
	int money; //ֵ
	const wchar_t* server;  //ַidʶ
	const wchar_t* mark; //ֶΣֻ32λַ
} MGPayInfo;


/*
* SDKʼӿ(վ汾)
* @param appKey ϷID 
*/
PC4399SDK_API int __stdcall InitZzMGSDK(const char* appKey);

/*
*̽ID,SDKǿƹرϷ
*Ϸ gameProcessId
*/
PC4399SDK_API void __stdcall SetGameProcessId(DWORD dwGameProcessId);



/**
* õ¼
*/
PC4399SDK_API void __stdcall DoMGLogin(MGLoginCallback callback);


/**
* û¼Ϣ˳¼
*/
PC4399SDK_API void __stdcall DoMGLogout();

/**
* ֧ӿ
* @param payInfo ֧ƷϢ
* @param callback ֵص
*/
PC4399SDK_API void __stdcall DoMGPay(MGPayInfo const& payInfo, PayResultCallBack callback);

/**
* ȡ汾
*/
PC4399SDK_API const char* __stdcall GetMGVersion();


#ifdef __cplusplus
}
#endif

#endif